Package: groovy.transform.options

## [Java] Class ImmutablePropertyHandler

- groovy.transform.options.ImmutablePropertyHandler

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class PropertyHandler` | `PROPERTY_OPTIONS_TYPE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Statement` | `checkFinalArgNotOverridden(ClassNode cNode, FieldNode fNode)`
    `` | `protected Expression` | `cloneCollectionExpr(Expression fieldExpr, ClassNode type)`
    `` | `protected Expression` | `createAsImmutableX(Expression expr, ClassNode type)`
    `` | `protected Statement` | `createConstructorStatement(AbstractASTTransformation xform, ClassNode cNode, PropertyNode pNode, boolean namedArgs)`
    `` | `protected Statement` | `createConstructorStatement(AbstractASTTransformation xform, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)`
    `` | `Statement` | `createPropGetter(PropertyNode pNode)`
    `` | `Statement` | `createPropInit(AbstractASTTransformation xform, AnnotationNode anno, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)`
    `` | `Statement` | `createPropSetter(PropertyNode pNode)`
    `` | `boolean` | `validateAttributes(AbstractASTTransformation xform, AnnotationNode anno)`
    `` | `boolean` | `validateProperties(AbstractASTTransformation xform, BlockStatement body, ClassNode cNode, List<PropertyNode> props)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyHandler` | `createPropGetter, createPropInit, createPropSetter, createPropertyHandler, isValidAttribute, validateAttributes, validateProperties`

- - ### Method Detail

    - #### protected Statement checkFinalArgNotOverridden(ClassNode cNode, FieldNode fNode)

    - #### protected Expression cloneCollectionExpr(Expression fieldExpr, ClassNode type)

    - #### protected Expression createAsImmutableX(Expression expr, ClassNode type)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated protected Statement createConstructorStatement(AbstractASTTransformation xform, ClassNode cNode, PropertyNode pNode, boolean namedArgs)

    - #### protected Statement createConstructorStatement(AbstractASTTransformation xform, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Statement createPropGetter(PropertyNode pNode)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Statement createPropInit(AbstractASTTransformation xform, AnnotationNode anno, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Statement createPropSetter(PropertyNode pNode)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean validateAttributes(AbstractASTTransformation xform, AnnotationNode anno)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean validateProperties(AbstractASTTransformation xform, BlockStatement body, ClassNode cNode, List<PropertyNode> props)